# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: model.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0bmodel.proto\"\x07\n\x05\x45mpty\" \n\x0eTrainingConfig\x12\x0e\n\x06\x63onfig\x18\x01 \x01(\t\"\x1d\n\x0bTrainStatus\x12\x0e\n\x06status\x18\x01 \x01(\x05\x32\x43\n\x11\x44\x65trModelServicer\x12.\n\rstartTraining\x12\x0f.TrainingConfig\x1a\x0c.TrainStatusb\x06proto3')



_EMPTY = DESCRIPTOR.message_types_by_name['Empty']
_TRAININGCONFIG = DESCRIPTOR.message_types_by_name['TrainingConfig']
_TRAINSTATUS = DESCRIPTOR.message_types_by_name['TrainStatus']
Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), {
  'DESCRIPTOR' : _EMPTY,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  })
_sym_db.RegisterMessage(Empty)

TrainingConfig = _reflection.GeneratedProtocolMessageType('TrainingConfig', (_message.Message,), {
  'DESCRIPTOR' : _TRAININGCONFIG,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:TrainingConfig)
  })
_sym_db.RegisterMessage(TrainingConfig)

TrainStatus = _reflection.GeneratedProtocolMessageType('TrainStatus', (_message.Message,), {
  'DESCRIPTOR' : _TRAINSTATUS,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:TrainStatus)
  })
_sym_db.RegisterMessage(TrainStatus)

_DETRMODELSERVICER = DESCRIPTOR.services_by_name['DetrModelServicer']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _EMPTY._serialized_start=15
  _EMPTY._serialized_end=22
  _TRAININGCONFIG._serialized_start=24
  _TRAININGCONFIG._serialized_end=56
  _TRAINSTATUS._serialized_start=58
  _TRAINSTATUS._serialized_end=87
  _DETRMODELSERVICER._serialized_start=89
  _DETRMODELSERVICER._serialized_end=156
# @@protoc_insertion_point(module_scope)
